﻿//**FOR DEMONSTRATION ONLY**
//**仅用于代码示例**

using System;
using System.Collections.Generic;
using System.IO;
using System.Net;
using System.Text;

namespace TestSendFiles
{
  class Program
  {
    static void Main(string[] args)
    {
      // 创建HttpWebRequest对象，并配置请求参数
      HttpWebRequest request = (HttpWebRequest)WebRequest.Create("http://localhost:8001/api.rsc/sendFile/"); // TODO: 1. 改为需要调用的API URL
      request.Method = "POST"; // TODO: 2. 确认API调用所需的HTTP Method
      request.ContentType = "application/json";
      request.Headers.Add("x-rssbus-authtoken", "1n6U3e2o5W3i4k3P0h2p"); // TODO: 3. 改为正确的AuthToken
      // 创建并设置HTTP请求数据
      String postfile = "{\"PortId\": \"laptop\",\"File\":\"*\"}"; // TODO: 4. 改为API所需的请求数据
      byte[] fileBytes = Encoding.UTF8.GetBytes(postfile);
      request.ContentLength = fileBytes.Length;
      request.GetRequestStream().Write(fileBytes, 0, fileBytes.Length);

      request.GetRequestStream().Close(); // 关闭HTTP Request流

      try
      {
        // 获取HTTP Response流，并处理数据
        HttpWebResponse response = (HttpWebResponse)request.GetResponse();
        using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.GetEncoding("utf-8")))
        {
          // 获取JSON格式的Response并输出
          String responseText = reader.ReadToEnd(); // TODO: 5. 处理Response
          Console.WriteLine(responseText);
        }
        response.Close();
      }
      catch (Exception ex) 
      {
        Console.WriteLine("ERROR: " + ex.Message); // TODO: 6. 处理错误
      }

      Console.WriteLine("Press any key to continue...");
      Console.ReadKey();
    }
  }
}
